Bug 1392895 - Failed to enable nfs-ganesha after disabling nfs-ganesha cluster
Summary: Failed to enable nfs-ganesha after disabling nfs-ganesha cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Kaleb KEITHLEY
QA Contact: Arthy Loganathan
URL:
Whiteboard:
Depends On:
Blocks: 1351528 1351530 1394881 1394882 1394883
TreeView+ depends on / blocked
 
Reported: 2016-11-08 12:31 UTC by Arthy Loganathan
Modified: 2018-03-26 11:39 UTC (History)
11 users (show)

Fixed In Version: glusterfs-3.8.4-6
Doc Type: Bug Fix
Doc Text:
Previously, when the pacemaker and corosync packages were updated, the update process did not remove the /etc/cluster/corosync.conf file. This meant that setup of high availability functionality failed after an upgrade. This file is now removed as part of upgrade so that setup succeeds.
Clone Of:
: 1394881 (view as bug list)
Environment:
Last Closed: 2017-03-23 06:16:55 UTC


Attachments (Terms of Use)
/var/log/messages.log (2.27 MB, text/plain)
2016-11-08 12:32 UTC, Arthy Loganathan
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Arthy Loganathan 2016-11-08 12:31:05 UTC
Description of problem:
Failed to enable nfs-ganesha after disabling nfs-ganesha cluster

Version-Release number of selected component (if applicable):
nfs-ganesha-gluster-2.4.1-1.el7rhgs.x86_64
glusterfs-ganesha-3.8.4-3.el7rhgs.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Create nfs-ganesha cluster.
2. Disable nfs ganesha.
3. Try to enable nfs-ganesha again.


Actual results:
Failed to enable nfs-ganesha after disabling nfs-ganesha cluster

Expected results:
nfs-ganesha should be enabled.

Additional info:

Command line log snippet:

[root@dhcp46-111 ~]# gluster nfs-ganesha disable
Disabling NFS-Ganesha will tear down entire ganesha cluster across the trusted pool. Do you still want to continue?
 (y/n) y
This will take a few minutes to complete. Please wait ..
nfs-ganesha : success 
[root@dhcp46-111 ~]# 
[root@dhcp46-111 ~]# 
[root@dhcp46-111 ~]# gluster nfs-ganesha enable
Enabling NFS-Ganesha requires Gluster-NFS to be disabled across the trusted pool. Do you still want to continue?
 (y/n) y
This will take a few minutes to complete. Please wait ..
nfs-ganesha: failed: Failed to set up HA config for NFS-Ganesha. Please check the log file for details


/var/log/messages snippet:

Nov  8 17:49:30 dhcp46-111 logger: setting up cluster G1478590172.02 with the following dhcp46-111.lab.eng.blr.redhat.com dhcp46-115.lab.eng.blr.redhat.com dhcp46-139.lab.eng.blr.redhat.com dhcp46-124.lab.eng.blr.redhat.com
Nov  8 17:49:35 dhcp46-111 logger: pcs cluster setup --name G1478590172.02 dhcp46-111.lab.eng.blr.redhat.com dhcp46-115.lab.eng.blr.redhat.com dhcp46-139.lab.eng.blr.redhat.com dhcp46-124.lab.eng.blr.redhat.com failed

Comment 2 Arthy Loganathan 2016-11-08 12:32:13 UTC
Created attachment 1218512 [details]
/var/log/messages.log

Comment 7 Atin Mukherjee 2016-11-17 11:50:28 UTC
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/90451/
upstream change (master): http://review.gluster.org/15843 
upstream change (3.9): http://review.gluster.org/15844
upstream change (3.8): http://review.gluster.org/15845

Comment 9 Arthy Loganathan 2016-12-08 06:13:54 UTC
Tested disabling and re-enabling ganesha multiple times and is working fine.

Verified the fix in build, 
glusterfs-ganesha-3.8.4-7.el7rhgs.x86_64
nfs-ganesha-2.4.1-2.el7rhgs.x86_64
nfs-ganesha-gluster-2.4.1-2.el7rhgs.x86_64

Comment 17 errata-xmlrpc 2017-03-23 06:16:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.